Package fr.gouv.vitam.metadata.core.model

# Class InheritedRuleModel

java.lang.Object
fr.gouv.vitam.metadata.core.model.InheritedRuleModel

public class InheritedRuleModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InheritedRuleModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassificationLevel()`
  `String`
  `getClassificationOwner()`
  `String`
  `getClassificationReassessingDate()`
  `String`
  `getEndDate()`
  `String`
  `getFinalAction()`
  `List<String>`
  `getOverrideBy()`
  `com.fasterxml.jackson.databind.node.ArrayNode`
  `getPath()`
  `String`
  `getRule()`
  `String`
  `getStartDate()`
  `Boolean`
  `isNeedReassessingAuthorization()`
  `void`
  `setClassificationLevel(String classificationLevel)`
  `void`
  `setClassificationOwner(String classificationOwner)`
  `void`
  `setClassificationReassessingDate(String classificationReassessingDate)`
  `void`
  `setEndDate(String endDate)`
  `void`
  `setFinalAction(String finalAction)`
  `void`
  `setNeedReassessingAuthorization(Boolean needReassessingAuthorization)`
  `void`
  `setOverrideBy(List<String> overrideBy)`
  `void`
  `setPath(com.fasterxml.jackson.databind.node.ArrayNode path)`
  `void`
  `setRule(String rule)`
  `void`
  `setStartDate(String startDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InheritedRuleModel

    public InheritedRuleModel()

- ## Method Details

  - ### getRule

    public String getRule()

  - ### setRule

    public void setRule(String rule)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public void setStartDate(String startDate)

  - ### getFinalAction

    public String getFinalAction()

  - ### setFinalAction

    public void setFinalAction(String finalAction)

  - ### getClassificationLevel

    public String getClassificationLevel()

  - ### setClassificationLevel

    public void setClassificationLevel(String classificationLevel)

  - ### getClassificationOwner

    public String getClassificationOwner()

  - ### setClassificationOwner

    public void setClassificationOwner(String classificationOwner)

  - ### getClassificationReassessingDate

    public String getClassificationReassessingDate()

  - ### setClassificationReassessingDate

    public void setClassificationReassessingDate(String classificationReassessingDate)

  - ### isNeedReassessingAuthorization

    public Boolean isNeedReassessingAuthorization()

  - ### setNeedReassessingAuthorization

    public void setNeedReassessingAuthorization(Boolean needReassessingAuthorization)

  - ### getEndDate

    public String getEndDate()

  - ### getPath

    public com.fasterxml.jackson.databind.node.ArrayNode getPath()

  - ### setEndDate

    public void setEndDate(String endDate)

  - ### setPath

    public void setPath(com.fasterxml.jackson.databind.node.ArrayNode path)

  - ### getOverrideBy

    public List<String> getOverrideBy()

  - ### setOverrideBy

    public void setOverrideBy(List<String> overrideBy)